System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.Syndication.ISyndicationElement

When serialized to Atom 1.0, a instance is written to an <entry> element. The following table shows how each property defined for is serialized for Atom 1.0.

SyndicationItem property

Serialized form

Attribute in the <entry> element.

An <author> element for each author in the collection.

A <category> element.

A <content> element.

A <contributor> element for each contributor in the collection.

A <rights> element.

Element in the <entry> element.

An <id> element.

An <updated> element.

A <link> element for each link in the collection.

A <published> element.

A <source> element.

A <summary> element.

A <title> element.

When serialized to RSS 2.0, a instance is written to an <item> element. The following table shows how each property defined for is serialized for RSS 2.0.

SyndicationItem property

Serialized form

Attribute in the <item> element.

A <managingEditor> if only one is in the collection; otherwise, the <a10:author> element for each author in the collection.

A <category> element.

An <a10:content> element.

An <a10:contributor> element for each in the collection.

A <copyright> element.

Element in the <item> element.

An <a10:id> element.

An <a10:updated> element.

A <link> element for each in the collection.

A <pubDate> element.

A <source> element.

A <description> element.

A <title> element.

Represents a feed item, for example an RSS <item> or an Atom <entry>.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified instance.

  A instance used to initialize the new instance.
- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with the specified title, content, and link.

  The item title.
  The item content.
- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class.

  The title of the syndication item.
  A instance containing the content of the syndication item.
  The ID of the syndication item.
  The that contains the last time the syndication item was last updated.
- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class.

  The title of the syndication item.
  The content of the syndication item.
  The ID of the syndication item.
  The that contains the last time the syndication item was last updated.
- Method
  4.0.0.0
  System.Void `` To be added.

  A permalink is a static URI that points to some content on the Web.

  Adds a permalink to the .

- Property
  4.0.0.0
  System.Collections.Generic.Dictionary<System.Xml.XmlQualifiedName,System.String> To be added.

  The Syndication object model allows you to add custom attributes to a instance. When serialized for Atom 1.0, the custom attribute is written to an <entry> element. When serialized for RSS 2.0, the custom attribute is written to an <item> element. For a complete example that shows how to add an attribute extension, see the Loosely-Typed Extensions Sample sample.

  Gets the attribute extensions for the syndication item.

- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Syndication.SyndicationPerson> To be added.

  When serializing to Atom 1.0, an <author> element is written for each in the collection.

  When serializing to RSS 2.0. a <managingEditor> element is written if the collection has only one , otherwise a <a10:author> element is written for each in the collection.

  Gets the authors of the syndication item.

- Property
  4.0.0.0
  System.Uri To be added. To be added.

  Gets and sets the base Uniform Resource Identifier (URI) for the instance.

- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Syndication.SyndicationCategory> To be added.

  When serialized to Atom 1.0 or RSS 2.0, a <category> element is created for each category in the collection.

  Gets the syndication categories for the syndication item.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationItem To be added.

  Creates a copy of the instance.

  A instance.

- Property
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationContent To be added.

  is a base class for all syndication content types. The netfx35_short defines the following syndication content types:

  You can assign this property to any of these content types (or possibly a user-defined type derived from ).

  For Atom 1.0, the property is serialized to a <content> element.

  For RSS 2.0, the property is serialized to a <description> element for , a <a10:content> element for and .

  Gets and sets the content of the syndication item.

- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Syndication.SyndicationPerson> To be added.

  When serialized to Atom 1.0, a <contributor> element is created for each in the collection.

  When serialized to RSS 2.0, a <a10:contributor> element is created for each in the collection.

  Gets the contributors of the syndication item.

- Property
  4.0.0.0
  System.ServiceModel.Syndication.TextSyndicationContent To be added.

  When serialized to Atom 1.0, this property is written to a <rights> element. When serialized to RSS 2.0, this property is written to a <a10:rights> element.

  Gets and sets the copyright information for the syndication item.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationCategory

  This does not add the new object to the collection.

  Creates a new category.

  A new object.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationLink

  The new instance is not automatically added to the instance used to call the method.

  Creates a new instance.

  A new instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationPerson

  This does not add the new object to the or collection.

  Creates a new person.

  A new object.

- Property
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationElementExtensionCollection To be added.

  Element extensions are valid XML elements that are not specified in either the Atom 1.0 or RSS 2.0 specifications. Any valid XML element can be added as an extension provided its namespace is different from the enclosing namespace. When serialized, extensions are written like any other XML element.

  `<mg:MyElement xmlns:mg="http://myserver/elements" />`

  For a complete example that shows how to add element extensions, see the Loosely-Typed Extensions Sample sample.

  Gets the element extensions contained in the syndication item.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.Atom10ItemFormatter To be added.

  Gets an instance.

  A instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.Rss20ItemFormatter To be added.

  Gets an instance.

  An instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.Rss20ItemFormatter ``

  RSS 2.0 allows elements and attributes that are not in its specification only if they are within a namespace. When the parameter is true, the formatter automatically adds the "a10" namespace to all extensions; otherwise, the extensions are not serialized.

  Gets an instance.

  An instance.

  A value that specifies whether to serialize element and attribute extensions with an Atom 1.0 namespace.
- Property
  4.0.0.0
  System.String To be added.

  When serialized to Atom 1.0, this property is written to the <id> element. When serialized to RSS 2.0, this property is written to the <guid> element.

  Gets and sets the ID of the syndication item.

- Property
  4.0.0.0
  System.DateTimeOffset To be added.

  When serialized to Atom 1.0, this property is written to an <updated> item. When serialized to RSS 2.0, this property is written to an <a10:updated> item.

  Gets and sets the last updated time for the syndication item.

- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Syndication.SyndicationLink> To be added.

  When serialized to Atom 1.0, a <link> element is written for each in the collection. When serialized to RSS 2.0, an <a10:link> element is written for each in the collection.

  Gets the links contained in the syndication item.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationItem `` To be added.

  Loads a instance from the specified .

  A instance.

  The to read from.
- Method
  4.0.0.0
  TSyndicationItem DefaultConstructorConstraint System.ServiceModel.Syndication.SyndicationItem ``

  Use this method when you are loading a syndication item into a class derived from .

  Loads a derived object from the specified .

  A derived object that contains the syndication item.

  The to read from. The -derived class to load.
- Property
  4.0.0.0
  System.DateTimeOffset To be added.

  When serialized to Atom 1.0, this property is written to a <published> element. When serialized to RSS 2.0, this property is written to a <pubDate> element.

  Gets and sets the publish date for the syndication item.

- Method
  4.0.0.0
  System.Void `` To be added.

  Write the syndication item to the specified in Atom 1.0 format.

  The to write to.
- Method
  4.0.0.0
  System.Void `` To be added.

  Write the syndication item to the specified in RSS 2.0 format.

  The to write to.
- Property
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationFeed To be added.

  This property is not automatically set when you add a to a —you must explicitly set it. When serialized to Atom 1.0 or RSS 2.0, this property is written to a <source> element. The contents of that element vary depending on the format you serialize to.

  Gets and sets the source feed of the syndication item.

- Property
  4.0.0.0
  System.ServiceModel.Syndication.TextSyndicationContent To be added.

  When serialized to Atom 1.0, this property is written to a <summary> element. When serialized to RSS 2.0, this property is written to a <description> element.

  Gets and sets the summary of the syndication item.

- Property
  4.0.0.0
  System.ServiceModel.Syndication.TextSyndicationContent To be added.

  When serialized to Atom 1.0 or RSS 2.0, this property is written to a <title> element.

  Gets and sets the title of the syndication item.

- Method
  4.0.0.0
  System.Boolean `` `` `` ``

  Attribute extensions are custom attributes that are not defined by the Atom 1.0 or RSS 2.0 specifications. They are serialized as an attribute of the <entry> (for Atom 1.0) or <item> (for RSS 1.0) element, depending upon the syndication version being used. This method is an extension point that allows you to handle the deserialization of a custom attribute extension. To do this, you must derive a class from and override this method. This method is called for all unrecognized attribute extensions.

  Attempts to parse an attribute extension.

  A value that specifies whether the attribute extension was parsed successfully.

  The name of the element. The namespace of the element. The attribute to parse. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Boolean `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` ``

  Element extensions are valid XML elements that are not specified in either the Atom 1.0 or RSS 2.0 specifications. You can add any valid XML element as an extension, provided its namespace is different from the enclosing namespace. This method is an extension point that allows you to handle the deserialization of a custom element extension. To do this, you must derive a class from and override this method. This method is called for all unrecognized element extensions.

  Attempts to parse an element extension.

  A value that specifies whether the element extension was parsed successfully.

  The to read from. The syndication version to use while parsing.
- Method
  4.0.0.0
  System.Void `` ``

  Attribute extensions are custom attributes that are not defined by the Atom 1.0 or RSS 2.0 specifications. They are serialized as an attribute of the <entry> (for Atom 1.0) or <item> (for RSS 1.0) element, depending upon the syndication version being used. This method is an extension point that allows you to handle the serialization of custom attribute extensions. To do this, you must derive a class from and override this method. This method is called for all unrecognized attribute extensions.

  Writes the attribute extensions to the specified using the specified syndication version.

  The to write to. The syndication version to use while writing.
- Method
  4.0.0.0
  System.Void `` ``

  Element extensions are valid XML elements that are not specified in either the Atom 1.0 or RSS 2.0 specifications. You can add any valid XML element as an extension, provided its namespace is different from the enclosing namespace. This method is an extension point that allows you to handle the serialization of custom element extensions. To do this, you must derive a class from and override this method. This method is called for all unrecognized element extensions.

  Writes the element extensions to the specified using the specific syndication version.

  The to write to. The syndication version to use while writing.